using System;
					
public class Program
{
	public static void Main()
	{
		
		int n = Convert.ToInt32(Console.ReadLine());



            string[] ulazString = Console.ReadLine().Split();
            int[] knjige = new int[n];
            for (int i = 0; i < n; i++)
            {
                knjige[i] = Convert.ToInt16(ulazString[i]);
            }

            int max = 0;
            int maxMesto;
            int pom;
            int uradjeno = 0;
            maxMesto = 0;
            if (n == 2)
            {
                Console.WriteLine(knjige[1] + " " + knjige[0]);
            }
            else
            {
                for (int i = 0; i < n; i++)
                {
                    for (int j = n - 1; j > i; j--)
                    {
                        if (knjige[j] >= max)
                        {
                            max = knjige[j];
                            maxMesto = j;
                        }
                    }

                    if (max > knjige[i])
                    {

                        knjige[maxMesto] = knjige[i];
                        knjige[i] = max;
                        uradjeno = 1;
                        break;
                    }
                    if (i == n - 1 && uradjeno == 0)
                    {
                        pom = knjige[i];
                        knjige[i - 1] = knjige[i];
                        knjige[i] = pom;


                    }
                }
                Console.Write(knjige[0]);
                for (int i = 1; i < n; i++)
                {
                    Console.Write(" " + knjige[i]);
                }
            }
	}
}